import java.io.*;
import java.net.*;
import http.Server;

public class Zhttpd {
    public static void main(String[] args) {
        try {
            String x[] = args[1].split(":");
            int port = (x.length > 1) ? Integer.valueOf(x[1]) : 80;
            ServerSocket ss = new ServerSocket(port);
            for (;;) {
                Socket client = ss.accept();
                System.setIn(client.getInputStream());
                System.setOut(new PrintStream(client.getOutputStream()));
                new Server(args[0], args[1]).serve();
                client.close();
            }
        }
        catch (IOException e) {
            System.err.println("An I/O error happened: " + e.getMessage());
        }
    }
}
