package tests;

import utest.*;
import http.Server;

public class ServerTest1 extends Testable {
    public void assertion() {
        Server srv = new Server("www", "localhost:8000");

        check("The constructor will not set the values of root and host correctly.",
          srv.root.equals("www") && srv.host.equals("localhost:8000"));
        check("The resolveMethod() method will not return a null reference.",
          Server.resolveMethod("foo") == null &&
          Server.resolveMethod("")    == null);
    }

    public int score() { return 1; }
    public String description() { return "http.Server (part 1)"; }

    public static void main(String... args) {
        Test.main(new ServerTest1());
    }
}
